qtscriptgenerator 0.1.0+git20101026+8b191fbc-2 source package in Ubuntu

Changelog

qtscriptgenerator (0.1.0+git20101026+8b191fbc-2) unstable; urgency=low

  * debian_simple_top_makefile.diff: make generated_cpp depend on typesystem
    xml files.
  * Add upstream_arm_fix_ftbfs.diff patch to fix FTBFS on arm* architectures.

qtscriptgenerator (0.1.0+git20101026+8b191fbc-1) unstable; urgency=low

  * New upstream development snapshot to support Qt 4.7.
  * Remove DMUA field from debian/control. I'm a DD now.
  * Switch my e-mail address to @debian.org one.
  * Git repository moved to my new DD account on alioth. Change Vcs fields in
    debian/control accordingly.
  * Build depend on libqtwebkit-dev | libqt4-dev (<< 4:4.7.0). Also steal
    debian_webkit_phonon_include.diff from kubuntu to enable building with Qt
    4.7. Fixes FTBFS. (Closes: #618172)
  * Drop topgit support.
  * Move patches out of subdirectories.
  * Switch source package to 3.0 (quilt).
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Drop upstream_gcc4.4_ftbfs_fix.diff, merged upstream.
  * Adapt debian_drop_extra_linkage_fix.diff to upstream changes.
  * Add patch upstream_support_later_phonon.diff which fixes building against
    system Phonon 4.5.0.
  * Reimplement top Makefile in the parallel-safe manner (patch
    debian_simple_top_makefile.diff) and pass --parallel to dh.
  * Add doc-base control file for libqtscript4-doc.
 -- Felix Geyer <email address hidden>   Sun, 24 Apr 2011 16:39:27 +0300

Upload details

Uploaded by:
Felix Geyer on 2011-05-07
Uploaded to:
Oneiric
Original maintainer:
Modestas Vainius
Architectures:
any
Section:
libs
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
qtscriptgenerator_0.1.0+git20101026+8b191fbc.orig.tar.gz 370.6 KiB a7811795a70dd3581d8b5504c36baae7442b6d7bcb572454dd4214d836b0fd93
qtscriptgenerator_0.1.0+git20101026+8b191fbc-2.debian.tar.gz 10.2 KiB 889e9e4340c29b71a96bcb8ec55f637c97659c6b77648b42ec9e985053973deb
qtscriptgenerator_0.1.0+git20101026+8b191fbc-2.dsc 2.4 KiB 7a7ae74323915becaf9c33e433bf5274ddb6a1aae64004542286a213ac3c96c7

View changes file

Binary packages built by this source

libqtscript4-core: No summary available for libqtscript4-core in ubuntu oneiric.

No description available for libqtscript4-core in ubuntu oneiric.

libqtscript4-doc: Qt 4 Qt Script bindings API documentation and examples

 This package contains API reference of the Qt 4 Qt Script bindings and a few
 script examples. Documentation is provided in HTML format.
 .
 Qt Script is a scripting language based on the ECMAScript standard. Qt Script
 bindings allow to get access to substantial portions of the Qt API from within
 this scripting language.

libqtscript4-gui: Qt Script bindings for the Qt 4 Gui library

 This package contains Qt Script bindings for the Qt 4 Gui library. You should
 install this package if you need to access functionality of this library from
 within Qt Script. These bindings were generated with the Qt Script Generator
 tool.

libqtscript4-network: No summary available for libqtscript4-network in ubuntu oneiric.

No description available for libqtscript4-network in ubuntu oneiric.

libqtscript4-opengl: No summary available for libqtscript4-opengl in ubuntu oneiric.

No description available for libqtscript4-opengl in ubuntu oneiric.

libqtscript4-phonon: No summary available for libqtscript4-phonon in ubuntu oneiric.

No description available for libqtscript4-phonon in ubuntu oneiric.

libqtscript4-qtbindings: Qt Script bindings for Qt 4 - metapackage

 This metapackage depends on all modules of the Qt Script bindings that are
 currently provided for Qt 4 application and UI framework.
 .
 Qt Script is a scripting language based on the ECMAScript standard. Qt Script
 bindings allow to get access to substantial portions of the Qt API from within
 this scripting language.

libqtscript4-sql: No summary available for libqtscript4-sql in ubuntu oneiric.

No description available for libqtscript4-sql in ubuntu oneiric.

libqtscript4-svg: No summary available for libqtscript4-svg in ubuntu oneiric.

No description available for libqtscript4-svg in ubuntu oneiric.

libqtscript4-uitools: Qt Script bindings for the Qt 4 UiTools library

 This package contains Qt Script bindings for the Qt 4 UiTools library. You
 should install this package if you need to access functionality of this
 library from within Qt Script. These bindings were generated with the Qt
 Script Generator tool.

libqtscript4-webkit: Qt Script bindings for the Qt 4 WebKit library

 This package contains Qt Script bindings for the Qt 4 WebKit library. You
 should install this package if you need to access functionality of this
 library from within Qt Script. These bindings were generated with the Qt
 Script Generator tool.

libqtscript4-xml: No summary available for libqtscript4-xml in ubuntu oneiric.

No description available for libqtscript4-xml in ubuntu oneiric.

libqtscript4-xmlpatterns: No summary available for libqtscript4-xmlpatterns in ubuntu oneiric.

No description available for libqtscript4-xmlpatterns in ubuntu oneiric.

qtscript-tools: tools for Qt Script developers

 This package contains Qt Script Generator and a simple helper program which
 can be used to launch scripts from command line.
 .
 Qt Script Generator is a tool that generates Qt bindings for Qt Script. With
 the generated bindings you get access to substantial portions of the Qt API
 from within Qt Script. The binary has been renamed to 'qs_generator' in this
 package.
 .
 qs_eval is a simple script interpreter / launcher that imports all the
 bindings. You can use it to run examples found in the libqtscript4-doc
 package.